Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class UnknownRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.UnknownRecord

    public final class UnknownRecord

extends StandardRecord

Title: Unknown Record (for debugging)

Description: Unknown record just tells you the sid so you can figure out what records you are missing. Also helps us read/modify sheets we don't know all the records to. (HSSF leaves these alone!)

Company: SuperLink Software, Inc.

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au), Glen Stampoultzis (glens at apache.org)

Field Summary
`static int` | `BITMAP_00E9`
`static int` | `CODENAME_1BA`
`static int` | `HEADER_FOOTER_089C`
`static int` | `LABELRANGES_015F`
`static int` | `PHONETICPR_00EF`
`static int` | `PLS_004D` Environment-Specific Print Record
`static int` | `PRINTSIZE_0033` seems to be part of the `PageSettingsBlock`.
`static int` | `QUICKTIP_0800`
`static int` | `SCL_00A0`
`static int` | `SHEETEXT_0862`
`static int` | `SHEETPR_0081`
`static int` | `SHEETPROTECTION_0867`
`static int` | `SORT_0090`
`static int` | `STANDARDWIDTH_0099`

Constructor Summary
`UnknownRecord(int id, byte[] data)`
`UnknownRecord(RecordInputStream in)` construct an unknown record.

Method Summary
`java.lang.Object` | `clone()`
`static java.lang.String` | `getBiffName(int sid)` These BIFF record types are known but still uninterpreted by POI
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` spit the record out AS IS.
`java.lang.String` | `toString()` print a sort of string representation ([UNKNOWN RECORD] id = x [/UNKNOWN RECORD])

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRINTSIZE_0033

    public static final int PRINTSIZE_0033

  seems to be part of the `PageSettingsBlock`. Not interpreted by POI. The name 'PRINTSIZE' was taken from OOO source.
  The few POI test samples with this record have data { 0x03, 0x00 }.

  See Also:
    Constant Field Values

### PLS_004D

    public static final int PLS_004D

  Environment-Specific Print Record

  See Also:
    Constant Field Values

### SHEETPR_0081

    public static final int SHEETPR_0081

See Also:
  Constant Field Values

### SORT_0090

    public static final int SORT_0090

See Also:
  Constant Field Values

### STANDARDWIDTH_0099

    public static final int STANDARDWIDTH_0099

See Also:
  Constant Field Values

### SCL_00A0

    public static final int SCL_00A0

See Also:
  Constant Field Values

### BITMAP_00E9

    public static final int BITMAP_00E9

See Also:
  Constant Field Values

### PHONETICPR_00EF

    public static final int PHONETICPR_00EF

See Also:
  Constant Field Values

### LABELRANGES_015F

    public static final int LABELRANGES_015F

See Also:
  Constant Field Values

### QUICKTIP_0800

    public static final int QUICKTIP_0800

See Also:
  Constant Field Values

### SHEETEXT_0862

    public static final int SHEETEXT_0862

See Also:
  Constant Field Values

### SHEETPROTECTION_0867

    public static final int SHEETPROTECTION_0867

See Also:
  Constant Field Values

### HEADER_FOOTER_089C

    public static final int HEADER_FOOTER_089C

See Also:
  Constant Field Values

### CODENAME_1BA

    public static final int CODENAME_1BA

See Also:
  Constant Field Values

Constructor Detail

### UnknownRecord

    public UnknownRecord(int id,
                         byte[] data)

Parameters:
  `id` - id of the record -not validated, just stored for serialization
  `data` - the data

### UnknownRecord

    public UnknownRecord(RecordInputStream in)

  construct an unknown record. No fields are interpreted and the record will be serialized in its original form more or less

  Parameters:
    `in` - the RecordInputstream to read the record from

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

  spit the record out AS IS. no interpretation or identification

### toString

    public java.lang.String toString()

  print a sort of string representation ([UNKNOWN RECORD] id = x [/UNKNOWN RECORD])

  Overrides:
    `toString` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getBiffName

    public static java.lang.String getBiffName(int sid)

  These BIFF record types are known but still uninterpreted by POI

  Returns:
    the documented name of this BIFF record type, `null` if unknown to POI

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD